aboutsummaryrefslogtreecommitdiff
path: root/aux/workflow/public.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-06-24 11:18:40 -0300
committerEuAndreh <eu@euandre.org>2021-06-24 11:18:40 -0300
commit2539cf045c79ae1ebddccba7f887040d10e6ec1f (patch)
tree72f8f153f0880a98c4aa335e108be0c995b5b103 /aux/workflow/public.sh
parent0ec9a3261c186e1aa52123121ff48056699b7e47 (diff)
downloadpackage-repository-2539cf045c79ae1ebddccba7f887040d10e6ec1f.tar.gz
aux/: Update
Diffstat (limited to 'aux/workflow/public.sh')
-rwxr-xr-xaux/workflow/public.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/aux/workflow/public.sh b/aux/workflow/public.sh
index 8ecb855..7433595 100755
--- a/aux/workflow/public.sh
+++ b/aux/workflow/public.sh
@@ -4,14 +4,17 @@ set -eu
PROJECT_UC="$1"
PROJECT="$2"
MAILING_LIST="$3"
+OUTDIR="$4"
-sh aux/workflow/TODOs.sh "$PROJECT_UC" "$PROJECT" "$MAILING_LIST"
-sh aux/workflow/commonmark.sh "$PROJECT" README.md index.html ||:
+mkdir -p "$OUTDIR"
+
+sh aux/workflow/TODOs.sh "$PROJECT_UC" "$PROJECT" "$MAILING_LIST" "$OUTDIR"
+sh aux/workflow/commonmark.sh "$PROJECT" README.md "$OUTDIR" index.html ||:
if [ -f CHANGELOG.md ]; then
- sh aux/workflow/commonmark.sh "$PROJECT" CHANGELOG.md
+ sh aux/workflow/commonmark.sh "$PROJECT" CHANGELOG.md "$OUTDIR"
fi
-sh aux/ci/report.sh "$PROJECT"
+sh aux/ci/report.sh "$PROJECT" "$OUTDIR"
-cp aux/workflow/favicon.* public/
+cp aux/workflow/favicon.svg aux/workflow/favicon.png "$OUTDIR"